## r-cran-sctransform 0.2.1

=== DESCRIPTION ===
Package: sctransform
Type: Package
Title: Variance Stabilizing Transformations for Single Cell UMI Data
Version: 0.2.1
Authors@R: person(given = 'Christoph', family = 'Hafemeister', email = 'chafemeister@nygenome.org', role = c('aut', 'cre'), comment = c(ORCID = '0000-0001-6365-8254'))
Description: A normalization method for single-cell UMI count data using a 
  variance stabilizing transformation. The transformation is based on a 
  negative binomial regression model with regularized parameters. As part of the
  same regression framework, this package also provides functions for
  batch correction, and data correction. See Hafemeister and Satija 2019 
  <doi:10.1101/576827> for more details.
URL: https://github.com/ChristophH/sctransform
BugReports: https://github.com/ChristophH/sctransform/issues
License: GPL-3 | file LICENSE
Encoding: UTF-8
LazyData: true
Depends: R (>= 3.0.2)
Imports: MASS, Matrix, methods, future.apply, ggplot2, reshape2,
        gridExtra
LinkingTo: Rcpp (>= 0.11.0), RcppEigen
Suggests: irlba, testthat, knitr
RoxygenNote: 6.1.1
NeedsCompilation: yes
Packaged: 2019-12-17 12:55:24 UTC; chafemeister
Author: Christoph Hafemeister [aut, cre]
    (<https://orcid.org/0000-0001-6365-8254>)
Maintainer: Christoph Hafemeister <chafemeister@nygenome.org>
Repository: CRAN
Date/Publication: 2019-12-17 15:00:02 UTC

## r-cran-sctransform 0.2.0

=== debian/changelog ===
r-cran-sctransform (0.2.0-1) unstable; urgency=medium

  * Initial release (closes: #934654)

 -- Steffen Moeller <moeller@debian.org>  Mon, 12 Aug 2019 15:05:11 +0200

=== debian/control ===
Source: r-cran-sctransform
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Steffen Moeller <moeller@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 12),
               dh-r,
               r-base-dev,
               r-cran-mass,
               r-cran-matrix,
               r-cran-future,
               r-cran-future.apply,
               r-cran-ggplot2,
               r-cran-reshape2,
               r-cran-gridextra,
               r-cran-rcpp,
               r-cran-rcppeigen
Standards-Version: 4.4.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-sctransform
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-sctransform.git
Homepage: https://cran.r-project.org/package=sctransform

Package: r-cran-sctransform
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: Variance Stabilizing Transformations for Single Cell UMI Data
 A normalization method for single-cell UMI count data using a
 variance stabilizing transformation. The transformation is based on a
 negative binomial regression model with regularized parameters. As part of the
 same regression framework, this package also provides functions for
 batch correction, and data correction. See Hafemeister and Satija 2019
 <doi:10.1101/576827> for more details.

## r-cran-sctransform 0.2.1

=== debian/changelog ===
r-cran-sctransform (0.2.1-1build2) groovy; urgency=medium

  * No-change rebuild against r-api-4.0

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 May 2020 06:24:51 +0000

r-cran-sctransform (0.2.1-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 24 Mar 2020 15:01:09 +0100

r-cran-sctransform (0.2.1-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.4.1
  * Trim trailing whitespace.
  * Set upstream metadata fields: Archive, Bug-Database, Bug-Submit,
    Contact, Name, Repository, Repository-Browse.

 -- Steffen Moeller <moeller@debian.org>  Thu, 26 Dec 2019 21:11:19 +0100

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: r-cran-sctransform
-Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Steffen Moeller <moeller@debian.org>
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
@@ -9,14 +10,13 @@
                r-base-dev,
                r-cran-mass,
                r-cran-matrix,
-               r-cran-future,
                r-cran-future.apply,
                r-cran-ggplot2,
                r-cran-reshape2,
                r-cran-gridextra,
                r-cran-rcpp,
                r-cran-rcppeigen
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-sctransform
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-sctransform.git
 Homepage: https://cran.r-project.org/package=sctransform

## r-cran-sctransform 0.3.2

=== DESCRIPTION ===
Package: sctransform
Type: Package
Title: Variance Stabilizing Transformations for Single Cell UMI Data
Version: 0.3.2
Authors@R: person(given = 'Christoph', family = 'Hafemeister', email = 'christoph.hafemeister@nyu.edu', role = c('aut', 'cre'), comment = c(ORCID = '0000-0001-6365-8254'))
Description: A normalization method for single-cell UMI count data using a 
  variance stabilizing transformation. The transformation is based on a 
  negative binomial regression model with regularized parameters. As part of the
  same regression framework, this package also provides functions for
  batch correction, and data correction. See Hafemeister and Satija 2019 
  <doi:10.1186/s13059-019-1874-1> for more details.
URL: https://github.com/ChristophH/sctransform
BugReports: https://github.com/ChristophH/sctransform/issues
License: GPL-3 | file LICENSE
Encoding: UTF-8
LazyData: true
Depends: R (>= 3.1.0)
LinkingTo: RcppArmadillo, Rcpp (>= 0.11.0)
SystemRequirements: C++11
Imports: MASS, Matrix, methods, future.apply, future, ggplot2,
        reshape2, gridExtra, matrixStats
Suggests: irlba, testthat, knitr
Enhances: glmGamPoi
RoxygenNote: 7.1.1
NeedsCompilation: yes
Packaged: 2020-12-16 13:59:55 UTC; christoph
Author: Christoph Hafemeister [aut, cre]
    (<https://orcid.org/0000-0001-6365-8254>)
Maintainer: Christoph Hafemeister <christoph.hafemeister@nyu.edu>
Repository: CRAN
Date/Publication: 2020-12-16 14:40:03 UTC

=== debian/changelog ===
r-cran-sctransform (0.3.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.5.1 (routine-update)

 -- Nilesh Patra <npatra974@gmail.com>  Wed, 06 Jan 2021 01:20:27 +0530

r-cran-sctransform (0.3.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Wed, 14 Oct 2020 11:19:04 +0200

r-cran-sctransform (0.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields: Repository.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata (already
    present in machine-readable debian/copyright).

 -- Andreas Tille <tille@debian.org>  Fri, 25 Sep 2020 11:37:01 +0200

=== debian/control ===
--- 
+++ 
@@ -1,25 +1,27 @@
 Source: r-cran-sctransform
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
+Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Steffen Moeller <moeller@debian.org>
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-cran-mass,
                r-cran-matrix,
                r-cran-future.apply,
+               r-cran-future,
                r-cran-ggplot2,
                r-cran-reshape2,
                r-cran-gridextra,
-               r-cran-rcpp,
-               r-cran-rcppeigen
-Standards-Version: 4.4.1
+               r-cran-matrixstats,
+               r-cran-rcpparmadillo,
+               r-cran-rcpp
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-sctransform
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-sctransform.git
 Homepage: https://cran.r-project.org/package=sctransform
+Rules-Requires-Root: no
 
 Package: r-cran-sctransform
 Architecture: any

=== debian/watch ===
version=4
https://cloud.r-project.org/src/contrib/sctransform_([-\d.]*)\.tar\.gz

## r-cran-sctransform 0.3.3

=== DESCRIPTION ===
Package: sctransform
Type: Package
Title: Variance Stabilizing Transformations for Single Cell UMI Data
Version: 0.3.3
Date: 2022-01-10
Authors@R: c(
  person(given = "Christoph", family = "Hafemeister", email = "christoph.hafemeister@nyu.edu", role = "aut", comment = c(ORCID = "0000-0001-6365-8254")),
  person(given = "Saket", family = "Choudhary", email = "schoudhary@nygenome.org", role = c("aut", "cre"), comment = c(ORCID = "0000-0001-5202-7633")),
  person(given = "Rahul", family = "Satija", email = "rsatija@nygenome.org", role = "ctb", comment = c(ORCID = "0000-0001-9448-8833"))
  )
Description: A normalization method for single-cell UMI count data using a 
  variance stabilizing transformation. The transformation is based on a 
  negative binomial regression model with regularized parameters. As part of the
  same regression framework, this package also provides functions for
  batch correction, and data correction. See Hafemeister and Satija (2019)
  <doi:10.1186/s13059-019-1874-1>, and Choudhary and Satija (2021) <doi:10.1101/2021.07.07.451498>
  for more details.
URL: https://github.com/satijalab/sctransform
BugReports: https://github.com/satijalab/sctransform/issues
License: GPL-3 | file LICENSE
Encoding: UTF-8
LazyData: true
Depends: R (>= 3.5.0)
LinkingTo: RcppArmadillo, Rcpp (>= 0.11.0)
SystemRequirements: C++11
Imports: dplyr, magrittr, MASS, Matrix, methods, future.apply, future,
        ggplot2, reshape2, rlang, gridExtra, matrixStats
Suggests: irlba, testthat, knitr
Enhances: glmGamPoi
RoxygenNote: 7.1.2
NeedsCompilation: yes
Packaged: 2022-01-11 01:13:27 UTC; choudharys
Author: Christoph Hafemeister [aut] (<https://orcid.org/0000-0001-6365-8254>),
  Saket Choudhary [aut, cre] (<https://orcid.org/0000-0001-5202-7633>),
  Rahul Satija [ctb] (<https://orcid.org/0000-0001-9448-8833>)
Maintainer: Saket Choudhary <schoudhary@nygenome.org>
Repository: CRAN
Date/Publication: 2022-01-13 08:20:02 UTC

=== debian/changelog ===
r-cran-sctransform (0.3.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 24 Jan 2022 13:40:36 +0100

=== debian/control ===
--- 
+++ 
@@ -7,17 +7,20 @@
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
+               r-cran-dplyr,
+               r-cran-magrittr,
                r-cran-mass,
                r-cran-matrix,
                r-cran-future.apply,
                r-cran-future,
                r-cran-ggplot2,
                r-cran-reshape2,
+               r-cran-rlang,
                r-cran-gridextra,
                r-cran-matrixstats,
                r-cran-rcpparmadillo,
                r-cran-rcpp
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-sctransform
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-sctransform.git
 Homepage: https://cran.r-project.org/package=sctransform

## r-cran-sctransform 0.3.4

=== debian/changelog ===
r-cran-sctransform (0.3.4-1) unstable; urgency=medium

  * Team upload
  * Disable reprotest
  * Standards-Version: 4.6.1 (routine-update)

 -- Andreas Tille <tille@debian.org>  Wed, 24 Aug 2022 16:38:28 +0200

=== debian/control ===
--- 
+++ 
@@ -20,7 +20,7 @@
                r-cran-matrixstats,
                r-cran-rcpparmadillo,
                r-cran-rcpp
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-sctransform
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-sctransform.git
 Homepage: https://cran.r-project.org/package=sctransform

## r-cran-sctransform 0.3.5

=== DESCRIPTION ===
Package: sctransform
Type: Package
Title: Variance Stabilizing Transformations for Single Cell UMI Data
Version: 0.3.5
Date: 2022-09-21
Authors@R: c(
  person(given = "Christoph", family = "Hafemeister", email = "christoph.hafemeister@nyu.edu", role = "aut", comment = c(ORCID = "0000-0001-6365-8254")),
  person(given = "Saket", family = "Choudhary", email = "schoudhary@nygenome.org", role = c("aut", "cre"), comment = c(ORCID = "0000-0001-5202-7633")),
  person(given = "Rahul", family = "Satija", email = "rsatija@nygenome.org", role = "ctb", comment = c(ORCID = "0000-0001-9448-8833"))
  )
Description: A normalization method for single-cell UMI count data using a 
  variance stabilizing transformation. The transformation is based on a 
  negative binomial regression model with regularized parameters. As part of the
  same regression framework, this package also provides functions for
  batch correction, and data correction. See Hafemeister and Satija (2019)
  <doi:10.1186/s13059-019-1874-1>, and Choudhary and Satija (2022) <doi:10.1186/s13059-021-02584-9>
  for more details.
URL: https://github.com/satijalab/sctransform
BugReports: https://github.com/satijalab/sctransform/issues
License: GPL-3 | file LICENSE
Encoding: UTF-8
LazyData: true
Depends: R (>= 3.5.0)
LinkingTo: RcppArmadillo, Rcpp (>= 0.11.0)
SystemRequirements: C++11
Imports: dplyr, magrittr, MASS, Matrix (>= 1.5.0), methods,
        future.apply, future, ggplot2, reshape2, rlang, gridExtra,
        matrixStats
Suggests: irlba, testthat, knitr
Enhances: glmGamPoi
RoxygenNote: 7.2.1
NeedsCompilation: yes
Packaged: 2022-09-21 16:33:54 UTC; choudharys
Author: Christoph Hafemeister [aut] (<https://orcid.org/0000-0001-6365-8254>),
  Saket Choudhary [aut, cre] (<https://orcid.org/0000-0001-5202-7633>),
  Rahul Satija [ctb] (<https://orcid.org/0000-0001-9448-8833>)
Maintainer: Saket Choudhary <schoudhary@nygenome.org>
Repository: CRAN
Date/Publication: 2022-09-21 17:10:07 UTC

=== debian/changelog ===
r-cran-sctransform (0.3.5-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * dh-update-R to update Build-Depends (routine-update)
  * Fix spelling of Matrix version

 -- Andreas Tille <tille@debian.org>  Mon, 26 Sep 2022 15:24:58 +0200

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                r-cran-dplyr,
                r-cran-magrittr,
                r-cran-mass,
-               r-cran-matrix,
+               r-cran-matrix (>= 1.5-0),
                r-cran-future.apply,
                r-cran-future,
                r-cran-ggplot2,

## r-cran-sctransform 0.4.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: sctransform
 Type: Package
 Title: Variance Stabilizing Transformations for Single Cell UMI Data
-Version: 0.3.5
-Date: 2022-09-21
+Version: 0.4.1
+Date: 2023-10-18
 Authors@R: c(
   person(given = "Christoph", family = "Hafemeister", email = "christoph.hafemeister@nyu.edu", role = "aut", comment = c(ORCID = "0000-0001-6365-8254")),
   person(given = "Saket", family = "Choudhary", email = "schoudhary@nygenome.org", role = c("aut", "cre"), comment = c(ORCID = "0000-0001-5202-7633")),
@@ -20,20 +20,20 @@
 License: GPL-3 | file LICENSE
 Encoding: UTF-8
 LazyData: true
-Depends: R (>= 3.5.0)
+Depends: R (>= 3.6.0)
 LinkingTo: RcppArmadillo, Rcpp (>= 0.11.0)
-SystemRequirements: C++11
-Imports: dplyr, magrittr, MASS, Matrix (>= 1.5.0), methods,
+SystemRequirements: C++17
+Imports: dplyr, magrittr, MASS, Matrix (>= 1.5-0), methods,
         future.apply, future, ggplot2, reshape2, rlang, gridExtra,
         matrixStats
 Suggests: irlba, testthat, knitr
 Enhances: glmGamPoi
-RoxygenNote: 7.2.1
+RoxygenNote: 7.2.3
 NeedsCompilation: yes
-Packaged: 2022-09-21 16:33:54 UTC; choudharys
+Packaged: 2023-10-19 00:10:57 UTC; choudharys
 Author: Christoph Hafemeister [aut] (<https://orcid.org/0000-0001-6365-8254>),
   Saket Choudhary [aut, cre] (<https://orcid.org/0000-0001-5202-7633>),
   Rahul Satija [ctb] (<https://orcid.org/0000-0001-9448-8833>)
 Maintainer: Saket Choudhary <schoudhary@nygenome.org>
 Repository: CRAN
-Date/Publication: 2022-09-21 17:10:07 UTC
+Date/Publication: 2023-10-19 04:40:02 UTC

=== debian/changelog ===
r-cran-sctransform (0.4.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Wed, 01 Nov 2023 08:02:06 +0100

r-cran-sctransform (0.4.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Tue, 17 Oct 2023 11:40:21 +0200

=== debian/control ===
--- 
+++ 
@@ -20,7 +20,7 @@
                r-cran-matrixstats,
                r-cran-rcpparmadillo,
                r-cran-rcpp
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-sctransform
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-sctransform.git
 Homepage: https://cran.r-project.org/package=sctransform

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-irlba,
        r-cran-testthat,
        r-cran-knitr
Restrictions: allow-stderr
